<?php

namespace App\Services\Folder;

use App\Models\Folder;
use App\Models\NamingRule;

class FoldersService
{
    public function applyNaming(string $id, string $namingRuleId): void
    {
        $folder = Folder::query()->findOrFail($id);
        $namingRule = NamingRule::query()->findOrFail($namingRuleId);
        // 子孙文件夹均需更新
        Folder::query()
            ->where('path', 'like', $folder->path . '%')
            ->update(['naming_rule_id' => $namingRule->id]);
    }
}
